import { SimpleLocalIntegration } from '../../core/index.js';
import { IdteckProxConfigFlow } from './idteck_prox.classes.configflow.js';
import { createIdteckProxDiscoveryDescriptor } from './idteck_prox.discovery.js';
import type { IIdteckProxConfig } from './idteck_prox.types.js';
import { idteckProxDomain, idteckProxProfile } from './idteck_prox.types.js';

export class IdteckProxIntegration extends SimpleLocalIntegration<IIdteckProxConfig> {
  public readonly domain = idteckProxDomain;
  public readonly discoveryDescriptor = createIdteckProxDiscoveryDescriptor();
  public readonly configFlow = new IdteckProxConfigFlow();

  constructor() {
    super(idteckProxProfile);
  }
}

export class HomeAssistantIdteckProxIntegration extends IdteckProxIntegration {}
